joker0720

I wasn't thinking, and I've updated my Spine Editor to the latest version, for a while now. Well, now our game wont import the skeleton data or json correctly. The formatting from a v3.7.xx to v3.8.xx seems completely different in the 3.8 versions. The runtime (which is 3.7 I believe) wont open them.
Is our only option to update unity with the latest version of the runtime? I don't really have a way to open all these new animations in Spine, since they are v3.8.xx.
3D animator trying to wrap my brain around 2D. Don't mind me while I bash my head against the wall.
Аватара пользователя
joker0720
  • Сообщения: 45

Arnissan

The format has indeed changed. There's an upgrade guide: Spine-Unity 3.7 to 3.8 Upgrade Guide
Arnissan
  • Сообщения: 51

Harald

We are sorry for the trouble! Thanks Arnissan for answering. Indeed 3.7 and 3.8 assets and runtimes cannot be mixed, sorry. We are currently improving the error messages and warnings in this regard to make it more obvious when versions are incompatible.

Note that you can use batch-export to re-export all your skeletons quickly via the command line interface:
Export - Spine User Guide: Command line
Аватара пользователя
Harald

Harri
  • Сообщения: 1028


Вернуться в Runtimes